Đến nội dung


Hình ảnh
- - - - -

[yêu cầu] Nhờ sửa code copy sang bản vẽ mới


  • Please log in to reply
4 replies to this topic

#1 hoangkimoanh

hoangkimoanh

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 22 June 2013 - 04:27 PM

cái code này có mục đích để copy và paste sang file mới, nhưng khi thực hiện lệnh thì nó có sang file mới,nhưng lại hiện sau file mình đang làm việc.

Nhờ các anh sửa giúp để khi Paste sang file mới thì file mới sẽ mở ngay trước mắt màn hình làm việc của mình. cảm ơn các anh! 

 

(defun c:test(/ app docs doc objects ss i n sslist)
  (setq app (vlax-get-acad-object))
  (setq doc (vla-get-activedocument app))
  (setq docs (vla-get-documents app))
  (setq ss (ssget))
  (setq n (sslength ss)
        i 0)
  (repeat n
    (setq sslist (append sslist (list (vlax-ename->vla-object (ssname ss i)))))
    (setq i (1+ i))
  )
  (setq objects (vlax-make-safearray vlax-vbObject (cons 0  (1- n))))
  (vlax-safearray-fill objects sslist)
  (setq doc_new (vla-add docs "acad.dwt"))
  (vla-copyobjects doc objects (vla-get-modelspace doc_new))
(command "_.zoom" "_e")
   (princ)
)

 


  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 22 June 2013 - 08:48 PM

Bạn thêm dòng này vào trước dong command zoom e :

 

(vlax-invoke doc_new 'Activate)


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 hoangkimoanh

hoangkimoanh

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 23 June 2013 - 06:18 AM

cảm ơn anh rất nhiều!


  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 23 June 2013 - 06:56 AM

Nhân tiện topic này, KetXu và các bác cho Tue_NV hỏi về "Activate"

Mình mở 1 file Excel và 1 file CAD

Có cách nào từ viết lisp từ  file CAD làm để file Excel hiện ra trước màn hình?

Mình sử dụng method Activate với workbook nhưng nhận kết quả là :vlax-true. File Excel không xuất hiện ra trước mặt mình

(Không sử dụng cách Save rồi open file Excel lên. Vì nếu File Excel có link với file Excel khác thì lại hiện ra dòng cảnh báo của Excel "This workbook contains link to other data source....... "


  • 0

#5 hoangkimoanh

hoangkimoanh

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 23 June 2013 - 07:12 AM

cho em phiền 1 chút nữa là cái (command "_.zoom" "_e") này không có tác dụng với bản vẽ mới phải không các anh? nếu muốn khi thực hiện xong nó zoom e tới đối tượng vừa copy thì làm thế nào ạ!
 


  • 0